Projectile = Polygon:extend()

function Projectile:new(x, y, r, width, height, vx, vy)
  Projectile.super.new(self, x, y)
  self.type = "projectile"
  
  vx = vx or 0
  vy = vy or 0
  
  self.body = love.physics.newBody(world, x, y, "dynamic")
  self.body:setLinearVelocity(vx, vy)
  self.body:setAngle(r+math.rad(90))
  --Needs to be a pixel smaller due to stupid setmeter
  self.shape = love.physics.newRectangleShape(0, 0, width, height)
  self.fixture = love.physics.newFixture(self.body, self.shape, 1)
  table.insert(drawTable, self)
end


function Projectile:draw()
  love.graphics.setColor(1, 0, 0)
  blue.graphics.polygon("fill", {self.body:getWorldPoints(self.shape:getPoints())})
end