TempAnim = Entity:extend()

-- An entity that plays an animation once, and then deletes itself

function TempAnim:new(x, y, r, animation, type)
  Entity.super.new(self, x, y)
  self.type = type or "tempAnim"
  self.r = r or 0
  self.animation = animation
  table.insert(drawTable, self)
end



function TempAnim:draw()
  
  
  love.graphics.setColor(1,1,1)
  
  
  if self.animation:play(self.x, self.y, self.r, smallTextureScale, smallTextureScale)  then
    self.remove = true
    self.animation:stop()
  end
end